Package com.scriptel.proscript

## Class TouchParameters

- java.lang.Object
- - com.scriptel.proscript.TouchParameters

-     public class TouchParameters
      extends java.lang.Object

  This class represents touch parameters in a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAdcAverage()` |
    `int` | `getCoordinateAverage()` |
    `int` | `getGain()` |
    `short` | `getOffsetX()` |
    `short` | `getOffsetY()` |
    `int` | `getPressureMultiple()` |
    `int` | `getPressureSingle()` |
    `int` | `getReserved()` |
    `int` | `getScaleX()` |
    `int` | `getScaleY()` |
    `short` | `getSlopeDown()` |
    `short` | `getSlopeLiftoff()` |
    `int` | `getSlopeMinimum()` |
    `boolean` | `isErrorCorrectionEnabled()` |
    `void` | `setAdcAverage​(int adcAverage)` |
    `void` | `setCoordinateAverage​(int coordinateAverage)` |
    `void` | `setErrorCorrectionEnabled​(boolean errorCorrectionEnabled)` |
    `void` | `setGain​(int gain)` |
    `void` | `setOffsetX​(short offsetX)` |
    `void` | `setOffsetY​(short offsetY)` |
    `void` | `setPressureMultiple​(int pressureMultiple)` |
    `void` | `setPressureSingle​(int pressureSingle)` |
    `void` | `setReserved​(int reserved)` |
    `void` | `setScaleX​(int scaleX)` |
    `void` | `setScaleY​(int scaleY)` |
    `void` | `setSlopeDown​(short slopeDown)` |
    `void` | `setSlopeLiftoff​(short slopeLiftoff)` |
    `void` | `setSlopeMinimum​(int slopeMinimum)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getAdcAverage

          public int getAdcAverage()

      Returns:
        the adcAverage

    - #### getCoordinateAverage

          public int getCoordinateAverage()

      Returns:
        the coordinateAverage

    - #### getSlopeDown

          public short getSlopeDown()

      Returns:
        the slopeDown

    - #### getSlopeLiftoff

          public short getSlopeLiftoff()

      Returns:
        the slopeLiftoff

    - #### getSlopeMinimum

          public int getSlopeMinimum()

      Returns:
        the slopeMinimum

    - #### getPressureSingle

          public int getPressureSingle()

      Returns:
        the pressureSingle

    - #### getPressureMultiple

          public int getPressureMultiple()

      Returns:
        the pressureMultiple

    - #### getGain

          public int getGain()

      Returns:
        the gain

    - #### isErrorCorrectionEnabled

          public boolean isErrorCorrectionEnabled()

      Returns:
        the errorCorrectionEnabled

    - #### getReserved

          public int getReserved()

      Returns:
        the reserved

    - #### getScaleX

          public int getScaleX()

      Returns:
        the scaleX

    - #### getOffsetX

          public short getOffsetX()

      Returns:
        the offsetX

    - #### getScaleY

          public int getScaleY()

      Returns:
        the scaleY

    - #### getOffsetY

          public short getOffsetY()

      Returns:
        the offsetY

    - #### setAdcAverage

          public void setAdcAverage​(int adcAverage)

      Parameters:
        `adcAverage` - the adcAverage to set

    - #### setCoordinateAverage

          public void setCoordinateAverage​(int coordinateAverage)

      Parameters:
        `coordinateAverage` - the coordinateAverage to set

    - #### setSlopeDown

          public void setSlopeDown​(short slopeDown)

      Parameters:
        `slopeDown` - the slopeDown to set

    - #### setSlopeLiftoff

          public void setSlopeLiftoff​(short slopeLiftoff)

      Parameters:
        `slopeLiftoff` - the slopeLiftoff to set

    - #### setSlopeMinimum

          public void setSlopeMinimum​(int slopeMinimum)

      Parameters:
        `slopeMinimum` - the slopeMinimum to set

    - #### setPressureSingle

          public void setPressureSingle​(int pressureSingle)

      Parameters:
        `pressureSingle` - the pressureSingle to set

    - #### setPressureMultiple

          public void setPressureMultiple​(int pressureMultiple)

      Parameters:
        `pressureMultiple` - the pressureMultiple to set

    - #### setGain

          public void setGain​(int gain)

      Parameters:
        `gain` - the gain to set

    - #### setErrorCorrectionEnabled

          public void setErrorCorrectionEnabled​(boolean errorCorrectionEnabled)

      Parameters:
        `errorCorrectionEnabled` - the errorCorrectionEnabled to set

    - #### setReserved

          public void setReserved​(int reserved)

      Parameters:
        `reserved` - the reserved to set

    - #### setScaleX

          public void setScaleX​(int scaleX)

      Parameters:
        `scaleX` - the scaleX to set

    - #### setOffsetX

          public void setOffsetX​(short offsetX)

      Parameters:
        `offsetX` - the offsetX to set

    - #### setScaleY

          public void setScaleY​(int scaleY)

      Parameters:
        `scaleY` - the scaleY to set

    - #### setOffsetY

          public void setOffsetY​(short offsetY)

      Parameters:
        `offsetY` - the offsetY to set